Name:		scidavis
Version:	0.2.4
Release:	%mkrel 7
Summary:	An application for Scientific Data Analysis and Visualization
License:	GPLv2
Group:		Sciences/Other
Url:		http://scidavis.sourceforge.net/
Source0:	http://download.sourceforge.net/sourceforge/scidavis/%{name}-%{version}.tar.bz2
Patch0:		scidavis-0.2.4-link-everything-dynamically.patch
Patch1:		scidavis-0.2.4-arm.patch
Patch2:		scidavis-0.2.4-const.patch
Patch3:		scidavis-0.2.4-QtAssistantClient.patch

BuildRequires:	desktop-file-utils
BuildRequires:	qt4-devel >= 4.3
BuildRequires:	qt-assistant-adp-devel
Buildrequires:	python-qt4-devel >= 4.2
BuildRequires:	python-devel >= 2.5
BuildRequires:	python-sip >= 4.6
BuildRequires:	muparser-devel
BuildRequires:	gsl-devel
Buildrequires:	qwt5-devel >= 5.1.0
BuildRequires:	libqwtplot3d-devel

%description
SciDAVis is a free interactive application aimed at data analysis and
publication-quality plotting. It combines a shallow learning curve and
an intuitive, easy-to-use graphical user interface with powerful
features such as scriptability and extensibility.

%files
%defattr(-,root,root,-)
%doc CHANGES README
%{_sysconfdir}/scidavisrc.py
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/locolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/mimelnk/application/x-sciprj.desktop

#-------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%qmake_qt4 \
	%if "%{_lib}" != "lib"
		libsuff=64 \
	%endif

%make

%install
rm -rf %{buildroot}
make INSTALL_ROOT=%{buildroot} install

# translations
install -d %{buildroot}%{_datadir}/%{name}/translations
install -D -m644 %{name}/translations/*.qm %{buildroot}%{_datadir}/%{name}/translations/

# fix desktop file
desktop-file-install	--remove-category=Physics \
	--remove-category=Math \
	--remove-category=Graphics \
	--add-category=DataVisualization \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}/%{_datadir}/applications/%{name}.desktop 

%clean
rm -rf %{buildroot}


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.2.4-7.mga3
+ Revision: 381817
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 pterjan <pterjan> 0.2.4-6.mga3
+ Revision: 334450
- Add include path and lib for QtAssistantClient
- Use qwt 5
- Add another Debian patch (removing const from something which is not)
- Partially update a patch (from Debian) to link against GLU
- Add a Debian patch for arm

  + fwang <fwang>
    - update new qwt inc dir

* Thu May 12 2011 mikala <mikala> 0.2.4-4.mga1
+ Revision: 97566
- Rebuild for ?\194?\171 new ?\194?\187 muparser ( mga #1251)

* Mon May 02 2011 mikala <mikala> 0.2.4-3.mga1
+ Revision: 94230
- Remove BuildRoot tag
- imported package scidavis

